/* 
  Theme Name: Twentseventeen Child Theme
  Description: Theme mod by John Bradfield
  Author: Red Orchid Projects 
  URI: https://redorchidprojects.co.za
  Template: twentyseventeen
  Version: 1.0.0
  Text Domain: twentyseventeen-child 
*/

/* Reduce height of Header on Desktop screen */
@media screen and (min-width: 48em) {
	.twentyseventeen-front-page.has-header-image .custom-header-image {
	/*height: 1200px;*/
	/*height: 100vh;*/
	height: 40vh;
	/*max-height: 100%;*/
	/*overflow: hidden;*/
	}
}

/* Reduce height of Header on Mobile screen*/
.has-header-image.twentyseventeen-front-page .custom-header {
	/*display: table;*/
	/*height: 300px;*/
	/*height: 75vh;*/
	height: 40vh;
	/*width: 100%;*/
}

/* Style elements for Google fonts */
.site-title, .site-title a, .price-size, .price-sizex, h4, h2, .colors-dark.page:not(.twentyseventeen-front-page) .entry-title, h1:first-child, body.has-header-image .site-description {
    font-family: 'Poiret One', Verdana; !important;
}


/* Style Page Title font size */
.colors-dark.page:not(.twentyseventeen-front-page) .entry-title, .colors-dark .page .panel-content .entry-title, .colors-dark .page-title {
    font-size: 28px !important;
}
/* Style Site Title Description */
body.has-header-image .site-description {
    font-size: 24px;
}

a {
  text-decoration: none !important;
  box-shadow: none !important;
}

/* Change background colours */
body.colors-dark {
    background-color: #3d3d3d !important;
}

.colors-dark .site-content-contain {
    background-color: rgba(61, 61, 61, 0.8) !important;
}

/* Change Footer background color  */
    #colophon {
    background: #222222;
}

/* Change button colors */
.colors-dark button, .search-form .search-submit, .colors-dark input[type="submit"] {
    background-color: #b9b9b9 !important;
}

.colors-dark button:hover, .search-form .search-submit:hover, .colors-dark input[type="submit"]:hover {
    background-color: #ffffff !important;
}

/* Change menu item width */
@media screen and (min-width: 48em) {
	.main-navigation ul ul a {
		width: 250px;
	}
}

/* Change site title font */
.site-title, .site-title a {
font-family: Poiret One, Verdana; !important;
font-size: 48px !important;
}

/* Remove Page Title on Testimonials page */
.page-id-1439  .entry-title { 
   display: none;
}

/* Reduce space above and below Page Title on Testimonials page */
.page-id-1439 .entry-header {
    padding-top: -1em;   /* before */
    margin-top: -4em !important; /*before*/
    margin-bottom: -4em !important; /*after*/
    padding-bottom: -1em;   /*after*/
}

/* Force media and block gallery captions to be visible */
.wp-block-image figcaption,
.wp-caption,
.wp-caption-text,
.gallery-caption {
    display: block !important;
    opacity: 1 !important;
    visibility: visible !important;
}

/* Align classic editor and media library image captions left */
.wp-caption .wp-caption-text {
    text-align: left !important;
}


/* Remove page title */
.colors-dark .page-title {
    display: none;
}

/* Hide Post date */
.entry-meta .entry-date.published { 
    display: none;
}

/* Change margins on Posts page */
.blog:not(.has-sidebar) #primary article {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    max-width: 740px;
    float: inherit;
}

/* Remove "Powered by WordPress" */
.site-info { 
    display: none; 
}

/* Input fields colour */
.colors-dark pre, .colors-dark mark, .colors-dark ins, .colors-dark input[type="text"], .colors-dark input[type="email"], .colors-dark input[type="url"], .colors-dark input[type="password"], .colors-dark input[type="search"], .colors-dark input[type="number"], .colors-dark input[type="tel"], .colors-dark input[type="range"], .colors-dark input[type="date"], .colors-dark input[type="month"], .colors-dark input[type="week"], .colors-dark input[type="time"], .colors-dark input[type="datetime"], .colors-dark input[type="datetime-local"], .colors-dark input[type="color"], .colors-dark textarea, .colors-dark select, .colors-dark fieldset {
    background: #4f4f4f !important;
}

/* Change content width */
.wrap { 
    max-width: 1366px; }
}

.has-sidebar:not(.error404) #primary {
    /* width: 70% */
       width: 100%
}

/* Style H2 and h4 */
h4 {
   font-size: 24px;
   color: #6e8737 !important;
}

h2 {
   font-size: 30px;
   font-weight: 600;
}

/* Change font size of element */
.sidenote {
   font-size:12px;
}

/* My custom table to get cell alignment right */
   #mytable {
     width:750px;
}

#mytable tr td {
     padding:10px;
     vertical-align: top;
}

#mytable tr td img {
     width:150px;
     height:125px;
}

/* My custom table to get borders in Contact Form form email output */

tr.border{
    outline: thin solid;
}

td.border{
    outline: thin solid;
}

/* Pricing Table ------------------------------------------ */
* {
    box-sizing: border-box;
}

/* Create three columns of equal width */
.columns {
    float: left;
    width: 33.3%;
    padding: 8px;
}

/* Create column for sitemap */
.column_s {
    float: left;
    width: 90%;
    padding: 40px;
    margin-left: 0px;
    box-shadow: 0 8px 12px 0 rgba(4,4,4,4)
}

/* Create one wide column */
.columns_w {
    float: left;
    width: 100%;
    padding: 0px;
    box-shadow: 0 8px 12px 0 rgba(4,4,4,4)
}

/* Create one wide column with padding */
.columns_p {
    float: left;
    width: 100%;
    padding: 30px 30px 30px 30px; 
    box-shadow: 0 8px 12px 0 rgba(4,4,4,4)
}

/* Create two columns of equal width */
.columns2ns {
    float: left;
    width: 48%;
    padding: 20px;
/*  box-shadow: 0 8px 12px 0 rgba(4,4,4,4); */
}

/* Create two columns of equal width - with box shaddow */
.columns2 {
    float: left;
    width: 48%;
    padding: 8px;
/*    box-shadow: 0 8px 12px 0 rgba(4,4,4,4); */
}

/* Change width three-columns layout to 100% (stacks horizontally on small screens) */
@media only screen and (max-width: 600px) {
    .columns {
        width: 100%;
    }
}

@media only screen and (max-width: 1200px) {
    .columns {
      width: 100% !important;
      }
}

/* Change width two-columns layout to 100% (stacks horizontally on small screens) */
@media only screen and (max-width: 600px) {
    .columns2 {
        width: 100%;
    }
}

@media only screen and (max-width: 1200px) {
    .columns2 {
      width: 100% !important;
      }
}

/* Change width two-columns layout, no shadow, to 100% (stacks horizontally on small screens) */

@media only screen and (max-width: 600px) {
    columns2ns {
        width: 100% !important;
    }
}

@media only screen and (max-width: 1200px) {
    columns2ns {
      width: 100% !important;
      }
}

/* Style the list */
.price {
    list-style: none;
    border: 1px solid #4f4f4f;
    margin: 0;
    padding: 30;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    box-shadow: 0 8px 12px 0 rgba(4,4,4,4)
}

/* Pricing header */
.price .header {
    background-color: #111;
    color: #ffffff;
    font-size: 25px;
}

/* Style Pricing 'size' text */
.price-size {
    color: #ffffff;
    font-size: 30px;
    background-color: #000000;
}

.price-sizex {
    color: #ffffff;
    font-size: 30px;
    background-color: #4a5d4e;
}

.price-sizey {
    color: #ffffff;
    font-size: 18px;
    padding-top: 50px;
    padding-right: 75px;
    padding-bottom: 50px;
    padding-left: 75px;
    background-image: url(https://redorchidprojects.co.za/wp-content/uploads/2019/06/list-bg.jpg);
    position: absolute; 
    background-size: cover; 
}

/* List items */
.price li {
    list-style: none;
    border-bottom: 1px solid #4f4f4f;
    padding: 12px;
    text-align: center;
}

.price_left li {
    list-style: none;
    border-bottom: 1px solid #4f4f4f;
    padding: 30px;
    font-size: 20px;
    back-ground: 
    text-align: left;
    -webkit-transition: 0.3s;
    transition: 0.3s;
   /* box-shadow: 0 8px 12px 0 rgba(4,4,4,4)*/
}

/* Grey list item */
.price .grey {
    background-color: #3d3d3d;
    padding: 10px;
    font-size: 20px;
}

.price .lt_grey {
    background-color: #4f4f4f;
}

/* Green list item */
.price .green {
    color: #4caf50;
    background-color: #3d3d3d;
    padding: 10px;
    font-size: 20px;
}

/* Green small type description*/
.price .green_sml {
    color: #4caf50;
    background-color: #3d3d3d;
    padding: 10px;
    font-size: 14px;
}

.price .green1 {
    color: #4caf50;
    background-color: #3d3d3d;
    padding: 10px;
    font-size: 16px;
}

/* Get Quote Button */
.button {
    width: 100%;
    background-color: #963838; /* Green */
    border: 0 none;
    color: white;
    padding: 16px 32px;
    text-align: center;
    text-decoration: none !important;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    cursor: pointer;
}

.button1 {
    background-color: #82061a !important; 
    color: white; 
    border: 0 none;
    text-decoration: none !important;
}

.button1:hover {
    background-color: #4a5d4e !important;
    color: white;
    border: 0 none;
    text-decoration: none !important;
}

/* Style 'my signature' */
.my-signature {
    font-size: 60px;
    padding: -100px -100px;
    padding: -100px -100px;
}

/* fix for Firefox */
button::-moz-focus-inner {
  border: 0;
  padding: 0;
}

/*reset button CSS 
button {
  margin: 0;
  padding: 0;
  border: none;
  font: inherit;
  box-sizing: border-box;
}
*/

#mc_embed_signup .button {
      width: 100% !important;
      color: #000000 !important;
      margin-left: 0px !important;
}

.wp-caption .wp-caption-text {
    text-align: center !important;
}

/* Make Twenty Seventeen footer background 100% width */
.site-footer {
    max-width: 100% !important;
    width: 100% !important;
    padding: 3em 0; /* Optional: adjusts inner padding */
}

/* Ensure the inner content area stretches completely or centers nicely */
.site-footer .wrap {
    max-width: 100% !important;
    padding-left: 4%;
    padding-right: 4%;
}

